osl::move_probability::OpposingPawn Class Reference

`#include <feature.h>`

Inheritance diagram for osl::move_probability::OpposingPawn:

## Public Types

enum | { DIM = 9 * 3 * 2 }

## Public Member Functions

| OpposingPawn ()
double | match (const StateInfo &state, const MoveInfo &info, int offset, const double *w) const
Public Member Functions inherited from osl::move_probability::Feature
| Feature (std::string n, size_t d)
virtual | ~Feature ()
std::string | name () const
size_t | dimension () const

## Additional Inherited Members

Static Public Member Functions inherited from osl::move_probability::Feature
static int | classifyEffect9 (const NumEffectState &state, Player player, Square to)

## Detailed Description

Definition at line 1285 of file move_probability/feature.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
DIM |

Definition at line 1288 of file move_probability/feature.h.

## Constructor & Destructor Documentation

## OpposingPawn()

osl::move_probability::OpposingPawn::OpposingPawn | ( |  | ) |

inline

Definition at line 1291 of file move_probability/feature.h.

References DIM, and osl::move_probability::Feature::Feature().

## Member Function Documentation

## match()

double osl::move_probability::OpposingPawn::match | ( | const StateInfo & | state,
|  | const MoveInfo & | info,
|  | int | offset,
|  | const double * | w ) const

inline virtual

Implements osl::move_probability::Feature.

Definition at line 1294 of file move_probability/feature.h.

References osl::alt(), osl::BISHOP, osl::Board_Table, osl::SimpleState::countPiecesOnStand(), osl::GOLD, osl::SimpleState::hasPieceOnStand(), osl::Move::isDrop(), osl::SimpleState::kingSquare(), osl::KNIGHT, osl::LANCE, osl::move_probability::MoveInfo::move, osl::PAWN, osl::SimpleState::pieceAt(), osl::move_probability::MoveInfo::player, osl::Move::ptype(), osl::Piece::ptype(), osl::ROOK, osl::SILVER, osl::move_probability::StateInfo::state, osl::Move::to(), osl::U, and osl::Square::x().

The documentation for this class was generated from the following file:

- move_probability/feature.h